#include <bits/stdc++.h>
#include "guess.h"
using namespace std;
/*static int n;
bool smaller (int x) {
    if (n<x) return true;
    return false;
}*/
#define int long long
int find_number(int MAX) {
    int p2=(1<<30);
    int res=0;
    while(p2){
        if(!smaller(res+p2)){
            res+=p2;
        }
        p2/=2;
    }
    return res;
}
/*
extern int find_number (int);
signed main () {
    int MAX,res;
    cin >> MAX >> n ;
    res=find_number(MAX);
    cout << res ;
    cout << endl ;
    return 0;
}*/
